Add parameter to provisioning templates to run attach --auto after registering

06/22/2021 03:41 PM - Doug Forster

Status: Duplicate   

Priority: Low   

Assignee:    

Category:    

Target version: Katello Recycle Bin   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8615

  

Description

Add support to run "subscription-manager attach --auto" after a host is registered with an Activation Key in the Provisioning scripts.

These are maintained in the Foreman repo but I didn't see a great fit for them there. Figured this would be a better place to report.

The problem is we have Foreman provisioning hosts and a RH Satellite providing content. When the existing provisioning script runs

it adds all the non-RH repos to the hosts. When "subscription-manager attach --auto" is run it correctly grabs the RedHat

VM/virtual-datacenter license.

Here is the provisioning script:

https://github.com/theforeman/foreman/blob/develop/app/views/unattended/provisioning_templates/snippet/redhat_register.erb

Suggested edit add this to the header:  #

1. subscription_manager_auto_attach = 'false'  Run attach --auto after registering.  #

Add this just before the "subscription-manager repos --list" block at line 194:

<% if host_param_true?('subscription_manager_auto_attach', false) >

subscription-manager attach --auto

< end %>

Related issues:

Is duplicate of Foreman - Feature #32852: Add parameter to provisioning templ... Closed

History

#1 - 06/22/2021 03:46 PM - Doug Forster

- Pull request https://github.com/theforeman/foreman/pull/8615 added

#2 - 06/22/2021 06:20 PM - Doug Forster

- Status changed from New to Duplicate

Closing as duplicate of https://projects.theforeman.org/issues/32852

#3 - 06/23/2021 05:33 PM - Jonathon Turel

- Is duplicate of Feature #32852: Add parameter to provisioning templates to run attach --auto after registering added

#4 - 06/23/2021 05:33 PM - Jonathon Turel

- Target version set to Katello Recycle Bin

- Triaged changed from No to Yes
